Skip to main content
POST
/
spark
/
configurations
Create a new job
import requests

url = "https://{FUSION HOST}/api/spark/configurations"

payload = {
    "id": "my-python-job",
    "script": "/compare_fusion_apis.py",
    "type": "custom_python_job"
}
headers = {
    "Authorization": "Basic <encoded-value>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/spark/configurations")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"my-python-job\",\n \"script\": \"/compare_fusion_apis.py\",\n \"type\": \"custom_python_job\"\n}")
.asString();
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'my-python-job',
script: '/compare_fusion_apis.py',
type: 'custom_python_job'
})
};

fetch('https://{FUSION HOST}/api/spark/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/spark/configurations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"my-python-job\",\n \"script\": \"/compare_fusion_apis.py\",\n \"type\": \"custom_python_job\"\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/spark/configurations"

payload := strings.NewReader("{\n \"id\": \"my-python-job\",\n \"script\": \"/compare_fusion_apis.py\",\n \"type\": \"custom_python_job\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/spark/configurations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'my-python-job',
'script' => '/compare_fusion_apis.py',
'type' => 'custom_python_job'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request POST \
--url https://{FUSION HOST}/api/spark/configurations \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "my-python-job",
"script": "/compare_fusion_apis.py",
"type": "custom_python_job"
}
'
{
  "type": "custom_python_job",
  "id": "my-python-job",
  "script": "/compare_fusion_apis.py",
  "verboseReporting": true,
  "updates": [
    {
      "userId": "demo-user",
      "timestamp": "2025-12-03T22:06:22.179510861Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

context
string

The app to which this job belongs.

Body

application/json

The job's configuration details.

id
string

The name of the job configuration.

Example:

"scripted_job_example"

sparkConfig
object

The job's configuration details. The configuration keys depend on the type of job. Use /spark/schema to see the configuration schemas for all job types.

Example:
{
"spark.cores.max": 2,
"spark.executor.memory": "1g"
}
type
string

The job type.

Response

200 - */*

OK

The job's configuration details.

id
string

The name of the job configuration.

Example:

"scripted_job_example"

sparkConfig
object

The job's configuration details. The configuration keys depend on the type of job. Use /spark/schema to see the configuration schemas for all job types.

Example:
{
"spark.cores.max": 2,
"spark.executor.memory": "1g"
}
type
string

The job type.